---
title: Map.prototype.has()
slug: Web/JavaScript/Reference/Global_Objects/Map/has
tags:
  - ECMAScript 2015
  - JavaScript
  - Map
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>has()</code></strong> method returns a boolean indicating whether an element with the specified key exists or not.</p>

<div>{{EmbedInteractiveExample("pages/js/map-prototype-has.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>myMap</var>.has(<var>key</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>key</var></code></dt>
 <dd>The key of the element to test for presence in the <code>Map</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>true</code> if an element with the specified key exists in the <code>Map</code> object; otherwise <code>false</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_has">Using has()</h3>

<pre class="brush: js notranslate">let myMap = new Map()
myMap.set('bar', "foo")

myMap.has('bar')   // returns true
myMap.has('baz')   // returns false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-map.prototype.has', 'Map.prototype.has')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.has")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Map")}}</li>
 <li>{{jsxref("Map.prototype.set()")}}</li>
 <li>{{jsxref("Map.prototype.get()")}}</li>
</ul>
